package com.zenjava.resource;

/**
 * Exception thrown when an invalid attempt is made to map a resource. Typically this is used with reflection based
 * resource providers (such as those created by the ResourceProviderFactory) when the dynamic mapping cannot be
 * determined.
 */
public class InvalidResourceMappingException extends RuntimeException
{
    /**
     * Constructs a new instance of this exception with the specified error message.
     *
     * @param message debugging details of the error that occurred.
     */
    public InvalidResourceMappingException(String message)
    {
        super(message);
    }

    /**
     * Constructs a new instance of this exception with the specified error message and cause Exception.
     *
     * @param message debugging details of the error that occurred.
     * @param cause the original exception that triggered this exception to be thrown.
     */
    public InvalidResourceMappingException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
