package com.zenjava.resource;

/**
 * Provides callbacks for classes that wish to be notified about changes to resources. Use the interface if you wish to
 * detect changes in the current Locale so that you can dynamically update your display.
 */
public interface ResourceListener
{
    /**
     * Called when the current resources have been updated. Typically this will be due to a new Locale being set for
     * the target resource provider.
     *
     * @param event the details of the event that occurred.
     */
    void resourcesUpdated(ResourceManagerEvent event);
}
