package com.zenjava.resource;

/**
 * Encapsulates information regarding an event that occurred for a ResourceManager.
 */
public class ResourceManagerEvent
{
    private ResourceManager resourceManager;

    /**
     * Constructs a new instance of an event with the ResourceManager as the source.
     *
     * @param resourceManager the ResourceManager the event occurred within.
     */
    public ResourceManagerEvent(ResourceManager resourceManager)
    {
        this.resourceManager = resourceManager;
    }

    /**
     * Retrieves the ResourceManager that the event occurred within.
     *
     * @return the ResourceManager the event occurred within.
     */
    public ResourceManager getResourceManager()
    {
        return resourceManager;
    }
}
